<?php
class DB
{
  public $menu      = "basic.menu";
  public $record    = "basic.record";
  public $acl       = "basic.acl";
  public $sub       = "basic.sub";
  public $group     = "basic.grup";
  public $grup_user = "basic.grup_pengguna";
  public $setting   = "basic.setting";
  public $cabang    = "basic.cabang";
  public $grp_cab  	= "basic.tb_grp_cab";
  public $sub_cab  	= "basic.tb_sub_cab";
  public $acc    	= "master.acc";
  public $acc2    	= "master.acc2";
  public $accf    	= "master.accf";
  public $acc_set   = "master.acc_set";
  public $temah    	= "master.temah";
  public $temad    	= "master.temad";
  public $kurs    	= "master.kurs";
  public $gudang    = "master.gudang";
  public $satuan    = "master.satuan";
  public $inv    	= "master.inv";
  public $kat    	= "master.kat";
  public $skat    	= "master.skat";
  public $harga    	= "master.harga";
  public $susut    	= "master.susut";
  public $promo    	= "master.promo";
  public $acr    	= "acc.acr";
  public $acd    	= "acc.acd";
  public $umh    	= "acc.umh";
  public $umd    	= "acc.umd";
  public $beli    	= "beli.beli";
  public $beli_det  = "beli.beli_det";
  public $lpb  		= "beli.lpb";
  public $lpbd  	= "beli.lpbd";
  public $nbl  		= "beli.nbl";
  public $nbld  	= "beli.nbld";
  public $ret  		= "beli.ret";
  public $retd  	= "beli.retd";
  public $mut  		= "beli.mut";
  public $mutd  	= "beli.mutd";
  public $so  		= "beli.so";
  public $sod  		= "beli.sod";
  public $adj  		= "beli.adj";
  public $adjd  	= "beli.adjd";
  public $oj  		= "jual.oj";
  public $ojd  		= "jual.ojd";
  public $njl  		= "jual.njl";
  public $njld  	= "jual.njld";
  public $jpak  	= "jual.jpak";
  public $jpakd  	= "jual.jpakd";
  
  public function getStructure()
  {
    $res->rhp             	= array('name' => 'rhp',            'type' => 'character varying',          'size' => '50',);
    $res->finish             = array('name' => 'finish',            'type' => 'character varying',          'size' => '50',);
    $res->control             = array('name' => 'control',            'type' => 'integer',                   'size' => '50',);
    $res->chtime            = array('name' => 'chtime',           'type' => 'timestamp without time zone',   'size' => '50',);
    $res->_no               = array('name' => '_no',            'type' => 'SERIAL',                   'size' => '50',);
    $res->app               = array('name' => 'app',            'type' => 'character varying',            'size' => '50',);
    $res->post               = array('name' => 'post',            'type' => 'text',            'size' => '50',);
    $res->_post              = array('name' => '_post',            'type' => 'text',            'size' => '50',);
    $res->id_setting        = array('name' => 'id_setting',       'type' => 'integer',                      'size' => '',);
    $res->setting           = array('name' => 'setting',          'type' => 'character varying',            'size' => '255',);
    $res->value             = array('name' => 'value',            'type' => 'text',                         'size' => '',);
    $res->id_acl            = array('name' => 'id_acl',           'type' => 'character varying',            'size' => '50',);
    $res->modul             = array('name' => 'modul',            'type' => 'text',                         'size' => '',);
    $res->kodegrup          = array('name' => 'kodegrup',         'type' => 'character varying',            'size' => '255',);
    $res->kd_user           = array('name' => 'kd_user',          'type' => 'character varying',            'size' => '50',);
    $res->status            = array('name' => 'status',           'type' => 'character varying',            'size' => '20',);
    $res->no_menu           = array('name' => 'no_menu',          'type' => 'character varying',            'size' => '50',);
    $res->induk             = array('name' => 'induk',            'type' => 'character varying',            'size' => '50',);
    $res->nama              = array('name' => 'nama',             'type' => 'character varying',            'size' => '255',);
    $res->url               = array('name' => 'url',              'type' => 'character varying',            'size' => '255',);
    $res->jabatan           = array('name' => 'jabatan',          'type' => 'character varying',            'size' => '255',);
    $res->logo              = array('name' => 'logo',             'type' => 'text',                         'size' => '',);
    $res->ket               = array('name' => 'ket',              'type' => 'text',                         'size' => '',);
    $res->ket2              = array('name' => 'ket2',             'type' => 'text',                         'size' => '',);
    $res->ket3              = array('name' => 'ket3',             'type' => 'text',                         'size' => '',);
    $res->ket_jurnal        = array('name' => 'ket_jurnal',       'type' => 'text',                         'size' => '',);
    $res->jenis             = array('name' => 'jenis',            'type' => 'integer',                      'size' => '',);
    $res->namagrup          = array('name' => 'namagrup',         'type' => 'character varying',            'size' => '255',);
    $res->id_grup_pengguna  = array('name' => 'id_grup_pengguna', 'type' => 'character varying',            'size' => '50',);
    $res->id_record         = array('name' => 'id_record',        'type' => 'character varying',            'size' => '50',);
    $res->kode_modul        = array('name' => 'kode_modul',       'type' => 'character varying',            'size' => '255',);
    $res->parent            = array('name' => 'parent',           'type' => 'text',                         'size' => '',);
    $res->child             = array('name' => 'child',            'type' => 'text',                         'size' => '',);
    $res->no_induk          = array('name' => 'no_induk',         'type' => 'character varying',            'size' => '50',);
    $res->action            = array('name' => 'action',           'type' => 'character varying',            'size' => '50',);
    $res->waktu             = array('name' => 'waktu',            'type' => 'timestamp without time zone',  'size' => '',);
    $res->kd_sub            = array('name' => 'kd_sub',           'type' => 'character varying',            'size' => '50',);
    $res->nm_sub            = array('name' => 'nm_sub',           'type' => 'character varying',            'size' => '255',);
    $res->lama             	= array('name' => 'lama',            'type' => 'integer',                      'size' => '',);
    $res->jenis             = array('name' => 'jenis',            'type' => 'integer',                      'size' => '',);
    $res->hapus             = array('name' => 'hapus',            'type' => 'integer',                      'size' => '',);
    $res->username          = array('name' => 'username',         'type' => 'character varying',            'size' => '50',);
    $res->pass              = array('name' => 'pass',             'type' => 'character varying',            'size' => '50',);
    $res->nm_singkat        = array('name' => 'nm_singkat',       'type' => 'character varying',            'size' => '50',);
    $res->kelas             = array('name' => 'kelas',            'type' => 'character varying',            'size' => '50',);
    $res->alamat            = array('name' => 'alamat',           'type' => 'text',                         'size' => '',);
    $res->alamat_npwp       = array('name' => 'alamat_npwp',           'type' => 'text',                         'size' => '',);
    $res->alamat_npwp2      = array('name' => 'alamat_npwp2',           'type' => 'text',                         'size' => '',);
    $res->alamat_npwp3      = array('name' => 'alamat_npwp3',           'type' => 'text',                         'size' => '',);
    $res->kd_pos            = array('name' => 'kd_pos',           'type' => 'character varying',            'size' => '10',);
    $res->kd_pos            = array('name' => 'kd_pos',           'type' => 'character varying',            'size' => '10',);
    $res->telp              = array('name' => 'telp',             'type' => 'character varying',            'size' => '255',);
    $res->telp_2            = array('name' => 'telp_2',           'type' => 'character varying',            'size' => '255',);
    $res->kd_cabang         = array('name' => 'kd_cabang',        'type' => 'character varying',            'size' => '255',);
    $res->nm_cabang         = array('name' => 'nm_cabang',        'type' => 'character varying',            'size' => '255',);
    $res->npwp              = array('name' => 'npwp',             'type' => 'character varying',            'size' => '255',);
    $res->tgl_pengukuhan    = array('name' => 'tgl_pengukuhan',   'type' => 'timestamp without time zone',  'size' => '',);
    $res->manager           = array('name' => 'manager',          'type' => 'character varying',            'size' => '255',);
    $res->kop               = array('name' => 'kop',              'type' => 'text',                         'size' => '',);
    $res->email             = array('name' => 'email',            'type' => 'character varying',            'size' => '255',);
    $res->fax               = array('name' => 'fax',              'type' => 'character varying',            'size' => '255',);

    $res->kdacf             = array('name' => 'kdacf',            'type' => 'character varying',            'size' => '255',);
    $res->nmacf             = array('name' => 'nmacf',            'type' => 'character varying',            'size' => '255',);
    $res->kdac              = array('name' => 'kdac',            'type' => 'character varying',            'size' => '255',);
    $res->nmac              = array('name' => 'nmac',            'type' => 'character varying',            'size' => '255',);
    $res->kdac2              = array('name' => 'kdac2',            'type' => 'character varying',            'size' => '255',);
    $res->nmac2              = array('name' => 'nmac2',            'type' => 'character varying',            'size' => '255',);
    $res->detil             = array('name' => 'detil',           'type' => 'character varying',            'size' => '255',);
    $res->level             = array('name' => 'level',           'type' => 'character varying',            'size' => '255',);
    $res->grup             	= array('name' => 'grup',           'type' => 'character varying',            'size' => '255',);
    $res->kd_set            = array('name' => 'kd_set',           'type' => 'character varying',            'size' => '255',);
    $res->nm_set            = array('name' => 'nm_set',         'type' => 'character varying',            'size' => '255',);
    $res->tipe            	= array('name' => 'tipe',           'type' => 'character varying',            'size' => '255',);

    $res->kd_inv		= array('name' => 'kd_inv',			'type' => 'character varying',            	'size' => '255',);
    $res->nm_inv		= array('name' => 'nm_inv',			'type' => 'character varying',            	'size' => '255',);
    $res->satuan		= array('name' => 'satuan',			'type' => 'character varying',            	'size' => '255',);
    $res->ket			= array('name' => 'ket',			'type' => 'text',							'size' => '255',);
    $res->harga_beli	= array('name' => 'harga_beli',		'type' => 'numeric',						'size' => '255',);
    $res->harga_jual	= array('name' => 'harga_jual',		'type' => 'numeric',						'size' => '255',);
    $res->harga			= array('name' => 'harga',			'type' => 'numeric',						'size' => '255',);

    $res->kd_kat		= array('name' => 'kd_kat',			'type' => 'character varying',            	'size' => '255',);
    $res->nm_kat		= array('name' => 'nm_kat',			'type' => 'character varying',            	'size' => '255',);

    $res->kode			= array('name' => 'kode',			'type' => 'character varying',            	'size' => '255',);
    $res->model			= array('name' => 'model',			'type' => 'character varying',            	'size' => '255',);
    $res->metode		= array('name' => 'metode',			'type' => 'character varying',            	'size' => '255',);

    $res->kd_det		= array('name' => 'kd_det',			'type' => 'character varying',            	'size' => '255',);
    $res->judul			= array('name' => 'judul',			'type' => 'character varying',            	'size' => '255',);
    $res->acc			= array('name' => 'acc',			'type' => 'character varying',            	'size' => '255',);
    $res->bold			= array('name' => 'bold',			'type' => 'character varying',            	'size' => '255',);
    $res->jarak			= array('name' => 'jarak',			'type' => 'character varying',            	'size' => '255',);
    $res->no			= array('name' => 'no',				'type' => 'character varying',            	'size' => '255',);
    $res->periode		= array('name' => 'periode',		'type' => 'character varying',            	'size' => '255',);

    $res->nojnl			= array('name' => 'nojnl',			'type' => 'character varying',				'size' => '255',);
    $res->nota			= array('name' => 'nota',			'type' => 'character varying',				'size' => '255',);
    $res->nota_tgl		= array('name' => 'nota_tgl',		'type' => 'timestamp without time zone',	'size' => '255',);
    $res->tgl_penyusutan= array('name' => 'tgl_penyusutan',	'type' => 'timestamp without time zone',	'size' => '255',);
    $res->nota_jt		= array('name' => 'nota_jt',		'type' => 'timestamp without time zone',	'size' => '255',);
    $res->jt			= array('name' => 'jt',				'type' => 'integer',						'size' => '255',);
    $res->debet			= array('name' => 'debet',			'type' => 'numeric',						'size' => '255',);
    $res->credit		= array('name' => 'credit',			'type' => 'numeric',						'size' => '255',);
    $res->alias			= array('name' => 'alias',			'type' => 'character varying',				'size' => '255',);
    $res->masuk			= array('name' => 'masuk',			'type' => 'numeric',						'size' => '255',);
    $res->keluar		= array('name' => 'keluar',			'type' => 'numeric',						'size' => '255',);
    $res->tgl			= array('name' => 'tgl',			'type' => 'timestamp without time zone',	'size' => '255',);
    $res->kd_gudang		= array('name' => 'kd_gudang',		'type' => 'character varying',				'size' => '255',);
    $res->nm_gudang		= array('name' => 'nm_gudang',		'type' => 'character varying',				'size' => '255',);
    $res->kd_sgudang	= array('name' => 'kd_sgudang',		'type' => 'character varying',				'size' => '255',);
    $res->nm_sgudang	= array('name' => 'nm_sgudang',		'type' => 'character varying',				'size' => '255',);
    $res->no_fp			= array('name' => 'no_fp',			'type' => 'character varying',				'size' => '255',);
    $res->tgl_fp		= array('name' => 'tgl_fp',			'type' => 'timestamp without time zone',	'size' => '255',);
    $res->user_fp		= array('name' => 'user_fp',			'type' => 'character varying',				'size' => '255',);
    $res->jam_fp		= array('name' => 'jam_fp',			'type' => 'timestamp without time zone',	'size' => '255',);
    $res->no_ref		= array('name' => 'no_ref',			'type' => 'character varying',				'size' => '255',);
    $res->kd_kurs		= array('name' => 'kd_kurs',		'type' => 'character varying',				'size' => '255',);
    $res->kurs			= array('name' => 'kurs',			'type' => 'numeric',						'size' => '255',);
    $res->dari_kepada	= array('name' => 'dari_kepada',	'type' => 'character varying',				'size' => '255',);
    $res->bank			= array('name' => 'bank',			'type' => 'character varying',				'size' => '255',);
    $res->noumd			= array('name' => 'noumd',			'type' => 'character varying',				'size' => '255',);
    $res->tot_debet		= array('name' => 'tot_debet',		'type' => 'numeric',						'size' => '255',);
    $res->tot_credit	= array('name' => 'tot_credit',		'type' => 'numeric',						'size' => '255',);
    $res->kdbank		= array('name' => 'kdbank',			'type' => 'character varying',				'size' => '255',);
    $res->nmbank		= array('name' => 'nmbank',			'type' => 'character varying',				'size' => '255',);
    $res->pk			= array('name' => 'pk',				'type' => 'integer',						'size' => '255',);
    $res->id			= array('name' => 'id',				'type' => 'character varying',				'size' => '255',);
    $res->bg_no			= array('name' => 'bg_no',			'type' => 'character varying',				'size' => '255',);
    $res->bg_bank		= array('name' => 'bg_bank',		'type' => 'character varying',				'size' => '255',);
    $res->bg_tgl		= array('name' => 'bg_tgl',			'type' => 'timestamp without time zone',	'size' => '255',);
	
    $res->model_name	= array('name' => 'model_name',		'type' => 'character varying',				'size' => '255',);
    $res->kd_sub2		= array('name' => 'kd_sub2',		'type' => 'character varying',				'size' => '255',);
    $res->nm_sub2		= array('name' => 'nm_sub2',		'type' => 'character varying',				'size' => '255',);
    $res->kd_sub3		= array('name' => 'kd_sub3',		'type' => 'character varying',				'size' => '255',);
    $res->nm_sub3		= array('name' => 'nm_sub3',		'type' => 'character varying',				'size' => '255',);
    $res->lok			= array('name' => 'lok',			'type' => 'character varying',				'size' => '255',);
    $res->lok_name		= array('name' => 'lok_name',		'type' => 'character varying',				'size' => '255',);
    $res->bm			= array('name' => 'bm',				'type' => 'character varying',				'size' => '255',);
    $res->kd_kom		= array('name' => 'kd_kom',			'type' => 'character varying',				'size' => '255',);
    $res->persen		= array('name' => 'persen',			'type' => 'numeric',						'size' => '255',);

    $res->kd_counter	= array('name' => 'kd_counter',		'type' => 'character varying',				'size' => '255',);
    $res->nm_counter	= array('name' => 'nm_counter',		'type' => 'character varying',				'size' => '255',);

    $res->kd_grp_cab	= array('name' => 'kd_grp_cab',		'type' => 'character varying',				'size' => '255',);
    $res->nm_grp_cab	= array('name' => 'nm_grp_cab',		'type' => 'character varying',				'size' => '255',);
    $res->kd_sub_cab	= array('name' => 'kd_sub_cab',		'type' => 'character varying',				'size' => '255',);
    $res->nm_sub_cab	= array('name' => 'nm_sub_cab',		'type' => 'character varying',				'size' => '255',);
    $res->garis			= array('name' => 'garis',			'type' => 'character varying',				'size' => '255',);
    $res->fix			= array('name' => 'fix',			'type' => 'character varying',				'size' => '255',);
    $res->pc			= array('name' => 'pc',				'type' => 'character varying',				'size' => '255',);
    $res->alamat2		= array('name' => 'alamat2',		'type' => 'text',							'size' => '255',);
    $res->alamat3		= array('name' => 'alamat3',		'type' => 'text',							'size' => '255',);
    $res->kota			= array('name' => 'kota',			'type' => 'character varying',				'size' => '255',);
    $res->propinsi		= array('name' => 'propinsi',		'type' => 'character varying',				'size' => '255',);
    $res->negara		= array('name' => 'negara',			'type' => 'character varying',				'size' => '255',);
    $res->nppkp			= array('name' => 'nppkp',			'type' => 'character varying',				'size' => '255',);
    $res->cp			= array('name' => 'cp',				'type' => 'character varying',				'size' => '255',);
    $res->kd_acc_hutang	= array('name' => 'kd_acc_hutang',	'type' => 'character varying',				'size' => '255',);
    $res->nm_acc_hutang	= array('name' => 'nm_acc_hutang',	'type' => 'character varying',				'size' => '255',);
    $res->kd_acc_piutang= array('name' => 'kd_acc_piutang',	'type' => 'character varying',				'size' => '255',);
    $res->nm_acc_piutang= array('name' => 'nm_acc_piutang',	'type' => 'character varying',				'size' => '255',);
    $res->kdsub			= array('name' => 'kdsub',			'type' => 'character varying',				'size' => '255',);
    $res->nmsub			= array('name' => 'nmsub',			'type' => 'character varying',				'size' => '255',);
	
    $res->pembayaran	= array('name' => 'pembayaran',		'type' => 'character varying',				'size' => '255',);
    $res->warna			= array('name' => 'warna',			'type' => 'character varying',				'size' => '255',);
    $res->loc			= array('name' => 'loc',			'type' => 'character varying',				'size' => '255',);
    $res->merk			= array('name' => 'merk',			'type' => 'character varying',				'size' => '255',);
    $res->tgl_kembali	= array('name' => 'tgl_kembali',	'type' => 'timestamp without time zone',	'size' => '255',);
    $res->tgl_beli		= array('name' => 'tgl_beli',		'type' => 'timestamp without time zone',	'size' => '255',);
    $res->nilai			= array('name' => 'nilai',			'type' => 'numeric',						'size' => '255',);
    $res->ppn			= array('name' => 'ppn',			'type' => 'character varying',				'size' => '255',);
    $res->ppn_nilai		= array('name' => 'ppn_nilai',		'type' => 'numeric',						'size' => '255',);
    $res->pph			= array('name' => 'pph',			'type' => 'numeric',						'size' => '255',);
    $res->pph_nilai		= array('name' => 'pph_nilai',		'type' => 'numeric',						'size' => '255',);
    $res->total			= array('name' => 'total',			'type' => 'numeric',						'size' => '255',);
    $res->total2		= array('name' => 'total2',			'type' => 'numeric',						'size' => '255',);

    $res->cr			= array('name' => 'cr',				'type' => 'character varying',				'size' => '255',);
    $res->dr			= array('name' => 'dr',				'type' => 'character varying',				'size' => '255',);
    $res->cf			= array('name' => 'cf',				'type' => 'character varying',				'size' => '255',);
    $res->unit			= array('name' => 'unit',			'type' => 'character varying',				'size' => '255',);
    $res->cab			= array('name' => 'cab',			'type' => 'character varying',				'size' => '255',);
    $res->ref			= array('name' => 'ref',			'type' => 'character varying',				'size' => '255',);
    $res->type			= array('name' => 'type',			'type' => 'character varying',				'size' => '255',);
	
    $res->tanda			= array('name' => 'tanda',			'type' => 'character varying',				'size' => '255',);
    $res->uk			= array('name' => 'uk',				'type' => 'character varying',				'size' => '255',);
    $res->kd_ruang		= array('name' => 'kd_ruang',		'type' => 'character varying',				'size' => '255',);
    $res->nm_ruang		= array('name' => 'nm_ruang',		'type' => 'character varying',				'size' => '255',);
    $res->kdsat			= array('name' => 'kdsat',			'type' => 'character varying',				'size' => '255',);
    $res->nmsat			= array('name' => 'nmsat',			'type' => 'character varying',				'size' => '255',);
    $res->pros			= array('name' => 'pros',			'type' => 'numeric',						'size' => '255',);
    $res->skala			= array('name' => 'skala',			'type' => 'numeric',						'size' => '255',);
	
    $res->rek_an		= array('name' => 'rek_an',			'type' => 'character varying',				'size' => '255',);
    $res->rek_no		= array('name' => 'rek_no',			'type' => 'character varying',				'size' => '255',);
    $res->rek_bank		= array('name' => 'rek_bank',		'type' => 'character varying',				'size' => '255',);

    $res->nobo			= array('name' => 'nobo',			'type' => 'character varying',				'size' => '255',);
    $res->nobod			= array('name' => 'nobod',			'type' => 'character varying',				'size' => '255',);
    $res->kd_project	= array('name' => 'kd_project',		'type' => 'character varying',				'size' => '255',);
    $res->nm_project	= array('name' => 'nm_project',		'type' => 'character varying',				'size' => '255',);
    $res->kd_sales		= array('name' => 'kd_sales',		'type' => 'character varying',				'size' => '255',);
    $res->nm_sales		= array('name' => 'nm_sales',		'type' => 'character varying',				'size' => '255',);
    $res->p				= array('name' => 'p',				'type' => 'numeric',						'size' => '255',);
    $res->l				= array('name' => 'l',				'type' => 'numeric',						'size' => '255',);
    $res->t				= array('name' => 't',				'type' => 'numeric',						'size' => '255',);
    $res->qty			= array('name' => 'qty',			'type' => 'numeric',						'size' => '255',);
    $res->grand_total	= array('name' => 'grand_total',	'type' => 'numeric',						'size' => '255',);
    $res->ppn_jen		= array('name' => 'ppn_jen',		'type' => 'numeric',						'size' => '255',);
    $res->ppn_ket		= array('name' => 'ppn_ket',		'type' => 'character varying',				'size' => '255',);
    $res->jen_inv		= array('name' => 'jen_inv',		'type' => 'character varying',				'size' => '255',);

    $res->no_kontrak	= array('name' => 'no_kontrak',		'type' => 'character varying',				'size' => '255',);
    $res->kd_kontrak	= array('name' => 'kd_kontrak',		'type' => 'character varying',				'size' => '255',);
    $res->nm_kontrak	= array('name' => 'nm_kontrak',		'type' => 'character varying',				'size' => '255',);
    $res->tgl_kontrak	= array('name' => 'tgl_kontrak',	'type' => 'timestamp without time zone',	'size' => '255',);
    
	$res->tgl_close		= array('name' => 'tgl_close',		'type' => 'timestamp without time zone',	'size' => '255',);
    $res->material		= array('name' => 'material',		'type' => 'numeric',						'size' => '255',);
    $res->tukang		= array('name' => 'tukang',			'type' => 'numeric',						'size' => '255',);
    $res->termin_1		= array('name' => 'termin_1',		'type' => 'numeric',						'size' => '255',);
    $res->termin_2		= array('name' => 'termin_2',		'type' => 'numeric',						'size' => '255',);
    $res->termin_3		= array('name' => 'termin_3',		'type' => 'numeric',						'size' => '255',);
    $res->termin_4		= array('name' => 'termin_4',		'type' => 'numeric',						'size' => '255',);
    $res->termin_5		= array('name' => 'termin_5',		'type' => 'numeric',						'size' => '255',);
    $res->termin_5		= array('name' => 'termin_5',		'type' => 'numeric',						'size' => '255',);
	
    $res->status		= array('name' => 'status',			'type' => 'character varying',				'size' => '255',);
    $res->noso			= array('name' => 'noso',			'type' => 'character varying',				'size' => '255',);
    $res->nosod			= array('name' => 'nosod',			'type' => 'character varying',				'size' => '255',);
    $res->telp_kontraktor= array('name' => 'telp_kontraktor','type' => 'character varying',				'size' => '255',);
    $res->style			= array('name' => 'style',			'type' => 'character varying',				'size' => '255',);
	$res->tgl_jt		= array('name' => 'tgl_jt',			'type' => 'timestamp without time zone',	'size' => '255',);
    $res->tp			= array('name' => 'tp',				'type' => 'numeric',						'size' => '255',);
    $res->file_ruang	= array('name' => 'file_ruang',		'type' => 'text',							'size' => '255',);
    $res->ket_det		= array('name' => 'ket_det',		'type' => 'text',							'size' => '255',);
    $res->kon			= array('name' => 'kon',			'type' => 'text',							'size' => '255',);
    $res->file_3d		= array('name' => 'file_3d',		'type' => 'text',							'size' => '255',);
    $res->file_3d2		= array('name' => 'file_3d2',		'type' => 'text',							'size' => '255',);
    $res->file_3d3		= array('name' => 'file_3d3',		'type' => 'text',							'size' => '255',);
	
    $res->kd_induk		= array('name' => 'kd_induk',		'type' => 'character varying',				'size' => '255',);
    $res->nm_induk		= array('name' => 'nm_induk',		'type' => 'character varying',				'size' => '255',);
    $res->kredit		= array('name' => 'kredit',			'type' => 'numeric',						'size' => '255',);
    $res->bayar			= array('name' => 'bayar',			'type' => 'character varying',				'size' => '255',);
    $res->hp			= array('name' => 'hp',				'type' => 'character varying',				'size' => '255',);

    $res->aktif			= array('name' => 'aktif',			'type' => 'character varying',				'size' => '255',);
    $res->kd_app		= array('name' => 'kd_app',			'type' => 'character varying',				'size' => '255',);
    $res->nm_app		= array('name' => 'nm_app',			'type' => 'character varying',				'size' => '255',);
	$res->tgl_app		= array('name' => 'tgl_app',		'type' => 'timestamp without time zone',	'size' => '255',);
	
    $res->kd_pelabuhan	= array('name' => 'kd_pelabuhan',	'type' => 'character varying',				'size' => '255',);
    $res->nm_pelabuhan	= array('name' => 'nm_pelabuhan',	'type' => 'character varying',				'size' => '255',);

    $res->kd_rute		= array('name' => 'kd_rute',		'type' => 'character varying',				'size' => '255',);
    $res->kd_from		= array('name' => 'kd_from',		'type' => 'character varying',				'size' => '255',);
    $res->nm_from		= array('name' => 'nm_from',		'type' => 'character varying',				'size' => '255',);
    $res->kd_to			= array('name' => 'kd_to',			'type' => 'character varying',				'size' => '255',);
    $res->nm_to			= array('name' => 'nm_to',			'type' => 'character varying',				'size' => '255',);
    $res->kd_kapal		= array('name' => 'kd_kapal',		'type' => 'character varying',				'size' => '255',);
    $res->nm_kapal		= array('name' => 'nm_kapal',		'type' => 'character varying',				'size' => '255',);
    $res->kd_harga		= array('name' => 'kd_harga',		'type' => 'character varying',				'size' => '255',);

    $res->nosj			= array('name' => 'nosj',			'type' => 'character varying',				'size' => '255',);
    $res->nosjd			= array('name' => 'nosjd',			'type' => 'character varying',				'size' => '255',);
    $res->service		= array('name' => 'service',		'type' => 'character varying',				'size' => '255',);
    $res->kd_kirim		= array('name' => 'kd_kirim',		'type' => 'character varying',				'size' => '255',);
    $res->nm_kirim		= array('name' => 'nm_kirim',		'type' => 'character varying',				'size' => '255',);
    $res->vol			= array('name' => 'vol',			'type' => 'numeric',						'size' => '255',);

    $res->dibayar		= array('name' => 'dibayar',		'type' => 'character varying',				'size' => '255',);
    $res->kd_kon		= array('name' => 'kd_kon',			'type' => 'character varying',				'size' => '255',);
    $res->nm_kon		= array('name' => 'nm_kon',			'type' => 'character varying',				'size' => '255',);
    $res->harga_kon		= array('name' => 'harga_kon',		'type' => 'numeric',						'size' => '255',);
    $res->no_kontainer	= array('name' => 'no_kontainer',	'type' => 'character varying',				'size' => '255',);
    $res->no_segeld		= array('name' => 'no_segeld',		'type' => 'character varying',				'size' => '255',);
    $res->no_segel		= array('name' => 'no_segel',		'type' => 'character varying',				'size' => '255',);
    $res->rute_o		= array('name' => 'rute_o',			'type' => 'character varying',				'size' => '255',);
    $res->kd_trucko		= array('name' => 'kd_trucko',		'type' => 'character varying',				'size' => '255',);
    $res->nm_trucko		= array('name' => 'nm_trucko',		'type' => 'character varying',				'size' => '255',);
    $res->biaya_o		= array('name' => 'biaya_o',		'type' => 'numeric',						'size' => '255',);
    $res->dibayaro		= array('name' => 'dibayaro',		'type' => 'character varying',				'size' => '255',);
    $res->rute_d		= array('name' => 'rute_d',			'type' => 'character varying',				'size' => '255',);
    $res->kd_truckd		= array('name' => 'kd_truckd',		'type' => 'character varying',				'size' => '255',);
    $res->nm_truckd		= array('name' => 'nm_truckd',		'type' => 'character varying',				'size' => '255',);
    $res->biaya_d		= array('name' => 'biaya_d',		'type' => 'numeric',						'size' => '255',);
    $res->_tot			= array('name' => '_tot',			'type' => 'numeric',						'size' => '255',);
    $res->_total		= array('name' => '_total',			'type' => 'numeric',						'size' => '255',);
    $res->qtyt			= array('name' => 'qtyt',			'type' => 'numeric',						'size' => '255',);
    $res->volt			= array('name' => 'volt',			'type' => 'numeric',						'size' => '255',);
    $res->kg			= array('name' => 'kg',				'type' => 'numeric',						'size' => '255',);
    $res->kgt			= array('name' => 'kgt',			'type' => 'numeric',						'size' => '255',);
    $res->ton			= array('name' => 'ton',			'type' => 'numeric',						'size' => '255',);
    $res->dibayard		= array('name' => 'dibayard',		'type' => 'character varying',				'size' => '255',);

	$res->no_invoice	= array('name' => 'no_invoice',		'type' => 'character varying',				'size' => '255',);
	$res->trip_no		= array('name' => 'trip_no',		'type' => 'character varying',				'size' => '255',);
	$res->kd_pel		= array('name' => 'kd_pel',			'type' => 'character varying',				'size' => '255',);
	$res->nm_pel		= array('name' => 'nm_pel',			'type' => 'character varying',				'size' => '255',);
	$res->voy_no		= array('name' => 'voy_no',			'type' => 'character varying',				'size' => '255',);
	$res->tgl_berangkat	= array('name' => 'tgl_berangkat',	'type' => 'timestamp without time zone',	'size' => '255',);
	$res->tgl_tiba		= array('name' => 'tgl_tiba',		'type' => 'timestamp without time zone',	'size' => '255',);
	$res->tgl_terima	= array('name' => 'tgl_terima',		'type' => 'timestamp without time zone',	'size' => '255',);
	
	$res->nobo			= array('name' => 'nobo',			'type' => 'character varying',				'size' => '255',);
	$res->nojoa			= array('name' => 'nojoa',			'type' => 'character varying',				'size' => '255',);
	$res->nojoad		= array('name' => 'nojoad',			'type' => 'character varying',				'size' => '255',);
	$res->kemasan		= array('name' => 'kemasan',		'type' => 'character varying',				'size' => '255',);
	$res->rumus			= array('name' => 'rumus',			'type' => 'character varying',				'size' => '255',);
	
    $res->p2			= array('name' => 'p2',				'type' => 'numeric',						'size' => '255',);
    $res->l2			= array('name' => 'l2',				'type' => 'numeric',						'size' => '255',);
    $res->t2			= array('name' => 't2',				'type' => 'numeric',						'size' => '255',);
    $res->kg2			= array('name' => 'kg2',			'type' => 'numeric',						'size' => '255',);
    $res->kgt2			= array('name' => 'kgt2',			'type' => 'numeric',						'size' => '255',);
    $res->qty1			= array('name' => 'qty1',			'type' => 'numeric',						'size' => '255',);
    $res->qty2			= array('name' => 'qty2',			'type' => 'numeric',						'size' => '255',);
    $res->vol2			= array('name' => 'vol2',			'type' => 'numeric',						'size' => '255',);
    $res->ton2			= array('name' => 'ton2',			'type' => 'numeric',						'size' => '255',);
    $res->_tot2			= array('name' => '_tot2',			'type' => 'numeric',						'size' => '255',);
    $res->_total2		= array('name' => '_total2',		'type' => 'numeric',						'size' => '255',);
    $res->volt2			= array('name' => 'volt2',			'type' => 'numeric',						'size' => '255',);
    $res->qtyt2			= array('name' => 'qtyt2',			'type' => 'numeric',						'size' => '255',);
    $res->total2v		= array('name' => 'total2v',		'type' => 'numeric',						'size' => '255',);

    $res->top			= array('name' => 'top',			'type' => 'numeric',						'size' => '255',);
	
	$res->hari_tagih	= array('name' => 'hari_tagih',			'type' => 'character varying',				'size' => '255',);
	$res->jam_tagih_awal= array('name' => 'jam_tagih_awal',		'type' => 'character varying',				'size' => '255',);
	$res->jam_tagih_akhir= array('name' => 'jam_tagih_akhir',	'type' => 'character varying',				'size' => '255',);

	$res->kd_skat		= array('name' => 'kd_skat',		'type' => 'character varying',				'size' => '255',);
	$res->nm_skat		= array('name' => 'nm_skat',		'type' => 'character varying',				'size' => '255',);
	$res->prefik		= array('name' => 'prefik',			'type' => 'character varying',				'size' => '255',);

	$res->kdpom			= array('name' => 'kdpom',			'type' => 'character varying',				'size' => '255',);
	$res->nmpom			= array('name' => 'nmpom',			'type' => 'character varying',				'size' => '255',);
	$res->etikel		= array('name' => 'etikel',			'type' => 'character varying',				'size' => '255',);
    $res->qty_min		= array('name' => 'qty_min',		'type' => 'numeric',						'size' => '255',);
    $res->diskon_max	= array('name' => 'diskon_max',		'type' => 'numeric',						'size' => '255',);
	
	$res->noref			= array('name' => 'noref',			'type' => 'character varying',				'size' => '255',);
	$res->no_po			= array('name' => 'no_po',			'type' => 'character varying',				'size' => '255',);
	$res->no_po_det		= array('name' => 'no_po_det',		'type' => 'character varying',				'size' => '255',);
	$res->tgl_po		= array('name' => 'tgl_po',			'type' => 'timestamp without time zone',	'size' => '255',);
	$res->tgl_datang	= array('name' => 'tgl_datang',		'type' => 'timestamp without time zone',	'size' => '255',);
	
	$res->alamat_kirim	= array('name' => 'alamat_kirim',	'type' => 'text',							'size' => '255',);
	$res->alamat_kirim2	= array('name' => 'alamat_kirim2',	'type' => 'text',							'size' => '255',);
	$res->alamat_kirim3	= array('name' => 'alamat_kirim3',	'type' => 'text',							'size' => '255',);
	
    $res->diskon		= array('name' => 'diskon',			'type' => 'numeric',						'size' => '255',);
    $res->diskon_1		= array('name' => 'diskon_1',		'type' => 'numeric',						'size' => '255',);
    $res->diskon_2		= array('name' => 'diskon_2',		'type' => 'numeric',						'size' => '255',);
    $res->diskon_3		= array('name' => 'diskon_3',		'type' => 'numeric',						'size' => '255',);
    $res->diskon_4		= array('name' => 'diskon_4',		'type' => 'numeric',						'size' => '255',);
    $res->diskon_5		= array('name' => 'diskon_5',		'type' => 'numeric',						'size' => '255',);
    $res->diskon_6		= array('name' => 'diskon_6',		'type' => 'numeric',						'size' => '255',);
    $res->diskon_7		= array('name' => 'diskon_7',		'type' => 'numeric',						'size' => '255',);
    $res->diskon_8		= array('name' => 'diskon_8',		'type' => 'numeric',						'size' => '255',);
    $res->diskon_9		= array('name' => 'diskon_9',		'type' => 'numeric',						'size' => '255',);
    $res->diskon_10		= array('name' => 'diskon_10',		'type' => 'numeric',						'size' => '255',);
    $res->lama_beli		= array('name' => 'lama_beli',		'type' => 'character varying',				'size' => '255',);

    $res->stot			= array('name' => 'stot',			'type' => 'numeric',						'size' => '255',);
    $res->diskg			= array('name' => 'diskg',			'type' => 'numeric',						'size' => '255',);
    $res->diskg2		= array('name' => 'diskg2',			'type' => 'numeric',						'size' => '255',);
    $res->diskg_nilai	= array('name' => 'diskg_nilai',	'type' => 'numeric',						'size' => '255',);
    $res->gtot			= array('name' => 'gtot',			'type' => 'numeric',						'size' => '255',);
    $res->dpp			= array('name' => 'dpp',			'type' => 'numeric',						'size' => '255',);
    $res->stok			= array('name' => 'stok',			'type' => 'numeric',						'size' => '255',);
	
    $res->nolpb			= array('name' => 'nolpb',			'type' => 'character varying',				'size' => '255',);
    $res->nolpbd		= array('name' => 'nolpbd',			'type' => 'character varying',				'size' => '255',);
	
    $res->nosj			= array('name' => 'nosj',			'type' => 'character varying',				'size' => '255',);
	$res->tglsj			= array('name' => 'tglsj',			'type' => 'timestamp without time zone',	'size' => '255',);
	
    $res->nonbl			= array('name' => 'nonbl',			'type' => 'character varying',				'size' => '255',);
    $res->nonbld		= array('name' => 'nonbld',			'type' => 'character varying',				'size' => '255',);
	
    $res->noret			= array('name' => 'noret',			'type' => 'character varying',				'size' => '255',);
    $res->noretd		= array('name' => 'noretd',			'type' => 'character varying',				'size' => '255',);

    $res->nomut			= array('name' => 'nomut',			'type' => 'character varying',				'size' => '255',);
    $res->nomutd		= array('name' => 'nomutd',			'type' => 'character varying',				'size' => '255',);

    $res->noso			= array('name' => 'noso',			'type' => 'character varying',				'size' => '255',);
    $res->nosod			= array('name' => 'nosod',			'type' => 'character varying',				'size' => '255',);

    $res->noadj			= array('name' => 'noadj',			'type' => 'character varying',				'size' => '255',);
    $res->noadjd		= array('name' => 'noadjd',			'type' => 'character varying',				'size' => '255',);

    $res->nooj			= array('name' => 'nooj',			'type' => 'character varying',				'size' => '255',);
    $res->noojd			= array('name' => 'noojd',			'type' => 'character varying',				'size' => '255',);

    $res->nonjl			= array('name' => 'nonjl',			'type' => 'character varying',				'size' => '255',);
    $res->nonjld		= array('name' => 'nonjld',			'type' => 'character varying',				'size' => '255',);
    $res->defj			= array('name' => 'defj',			'type' => 'character varying',				'size' => '255',);
    $res->defb			= array('name' => 'defb',			'type' => 'character varying',				'size' => '255',);
    $res->defs			= array('name' => 'defs',			'type' => 'character varying',				'size' => '255',);
    $res->dk			= array('name' => 'dk',				'type' => 'character varying',				'size' => '255',);
    $res->jen_bayar		= array('name' => 'jen_bayar',		'type' => 'character varying',				'size' => '255',);

    $res->skalad		= array('name' => 'skalad',			'type' => 'numeric',						'size' => '255',);
    $res->harga1		= array('name' => 'harga1',			'type' => 'numeric',						'size' => '255',);
    $res->harga2		= array('name' => 'harga2',			'type' => 'numeric',						'size' => '255',);
    $res->harga_grs		= array('name' => 'harga_grs',		'type' => 'numeric',						'size' => '255',);
    $res->harga_grs1	= array('name' => 'harga_grs1',		'type' => 'numeric',						'size' => '255',);
    $res->harga_grs2	= array('name' => 'harga_grs2',		'type' => 'numeric',						'size' => '255',);
    $res->diskt			= array('name' => 'diskt',			'type' => 'numeric',						'size' => '255',);
    $res->hpp			= array('name' => 'hpp',			'type' => 'numeric',						'size' => '255',);

    $res->kd_sopir		= array('name' => 'kd_sopir',		'type' => 'character varying',				'size' => '255',);
    $res->nm_sopir		= array('name' => 'nm_sopir',		'type' => 'character varying',				'size' => '255',);
	
    $res->kd_kernet		= array('name' => 'kd_kernet',		'type' => 'character varying',				'size' => '255',);
    $res->nm_kernet		= array('name' => 'nm_kernet',		'type' => 'character varying',				'size' => '255',);
    $res->kd_kernet2	= array('name' => 'kd_kernet2',		'type' => 'character varying',				'size' => '255',);
    $res->nm_kernet2	= array('name' => 'nm_kernet2',		'type' => 'character varying',				'size' => '255',);

    $res->nosusut		= array('name' => 'nosusut',		'type' => 'character varying',				'size' => '255',);
	$res->bln			= array('name' => 'bln',			'type' => 'integer',						'size' => '255',);
	$res->thn			= array('name' => 'thn',			'type' => 'integer',						'size' => '255',);
	$res->pemilik		= array('name' => 'pemilik',		'type' => 'character varying',				'size' => '255',);
	$res->kdgud			= array('name' => 'kdgud',			'type' => 'character varying',				'size' => '255',);
	$res->nmgud			= array('name' => 'nmgud',			'type' => 'character varying',				'size' => '255',);

	$res->nopak			= array('name' => 'nopak',			'type' => 'character varying',				'size' => '255',);
	$res->nopakd		= array('name' => 'nopakd',			'type' => 'character varying',				'size' => '255',);
	$res->kd_petugas	= array('name' => 'kd_petugas',		'type' => 'character varying',				'size' => '255',);
	$res->nm_petugas	= array('name' => 'nm_petugas',		'type' => 'character varying',				'size' => '255',);
	$res->nopol			= array('name' => 'nopol',			'type' => 'character varying',				'size' => '255',);
	$res->kapasitas		= array('name' => 'kapasitas',		'type' => 'character varying',				'size' => '255',);
	$res->kd_cust		= array('name' => 'kd_cust',		'type' => 'character varying',				'size' => '255',);
	$res->nm_cust		= array('name' => 'nm_cust',		'type' => 'character varying',				'size' => '255',);
	$res->tk			= array('name' => 'tk',				'type' => 'character varying',				'size' => '255',);
	$res->jtrans		= array('name' => 'jtrans',			'type' => 'character varying',				'size' => '255',);
	$res->noprm			= array('name' => 'noprm',			'type' => 'character varying',				'size' => '255',);

	$res->dis1			= array('name' => 'dis1',			'type' => 'character varying',				'size' => '255',);
	$res->dis2			= array('name' => 'dis2',			'type' => 'character varying',				'size' => '255',);
	$res->dis3			= array('name' => 'dis3',			'type' => 'character varying',				'size' => '255',);
	$res->dis4			= array('name' => 'dis4',			'type' => 'character varying',				'size' => '255',);
	$res->dis5			= array('name' => 'dis5',			'type' => 'character varying',				'size' => '255',);
	
    $res->hargab		= array('name' => 'hargab',			'type' => 'numeric',						'size' => '255',);
    $res->hargaj		= array('name' => 'hargaj',			'type' => 'numeric',						'size' => '255',);
	
	$res->kdacd			= array('name' => 'kdacd',			'type' => 'character varying',				'size' => '255',);
	$res->nmacd			= array('name' => 'nmacd',			'type' => 'character varying',				'size' => '255',);
	$res->ktp			= array('name' => 'ktp',			'type' => 'character varying',				'size' => '255',);
    $res->komisi		= array('name' => 'komisi',			'type' => 'numeric',						'size' => '255',);
    $res->diskrp		= array('name' => 'diskrp',			'type' => 'numeric',						'size' => '255',);
    $res->awal			= array('name' => 'awal',			'type' => 'numeric',						'size' => '255',);
    $res->qtya			= array('name' => 'qtya',			'type' => 'numeric',						'size' => '255',);
    $res->humid			= array('name' => 'humid',			'type' => 'numeric',						'size' => '255',);
    $res->humida			= array('name' => 'humida',			'type' => 'numeric',						'size' => '255',);
	
	
    return $res;
  }
}
